#ifndef Commands_H
#define Commands_H

enum Commands {
		ecom_none = 1,
		ecom_read, // read all
		ecom_write, // write all settings
		// clear output buffer
		ecom_clear,
		// bidi commands
		ecom_ping
};

// for 8 bit AVR unsigned int is 16 bit integer
#ifndef uint
#define uint unsigned short
#endif

#ifndef uchar
#define uchar unsigned char
#endif

enum eActiveLed{eal_int_red, eal_clip_red, eal_clip_ir}; 

#define END_MAGIC 0xAB
#ifndef AVR_INC
#pragma pack(1)
#endif
// each struct must be 32 bytes length
struct sBaseCmd{
	uchar ComId;
	uchar Data[30];
	uchar EndMagic; // instead of CRC
	sBaseCmd():EndMagic(END_MAGIC){}
};

struct sReadReport{ // AC adc data
	uchar ComId;
	uchar H;
	uchar T; 
	signed char Toffs;
	uchar Ton;
	uchar Toff;
	uchar Hon;
	uchar Hoff;
	uchar LevelOutActiveHigh;
	uchar LevelOutState;
	uchar DispRotSec;	
	uchar Empty[20];
	uchar EndMagic;
	sReadReport(): ComId(ecom_read), EndMagic(END_MAGIC){}
};

struct sWriteCmd{
	uchar ComId;
	uchar Ton;
	uchar Toff;
	signed char Toffs;
	uchar Hon;
	uchar Hoff;
	uchar LevelOutActiveHigh;
	uchar DispRotSec;
	uchar Empty[23];
	uchar EndMagic;
	sWriteCmd(): ComId(ecom_write), EndMagic(END_MAGIC){}
};
#ifndef AVR_INC
#pragma pack()
#endif

#endif
